#pragma once
// opencv不是所有项目都包含，按需要添加到pch.h
// 对应jsonCVWrapper.cpp源码添加到项目

#ifndef _JSON_OPENCV_WRAPPER_
#define _JSON_OPENCV_WRAPPER_

void to_json(jsonobj& j, const cv::Point& p);
void from_json(const jsonobj& j, cv::Point& p);
void to_json(jsonobj& j, const cv::Point2f& p);
void from_json(const jsonobj& j, cv::Point2f& p);
void to_json(jsonobj& j, const cv::Size& p);
void from_json(const jsonobj& j, cv::Size& p);
void to_json(jsonobj& j, const cv::Rect& p);
void from_json(const jsonobj& j, cv::Rect& p);
#endif //_JSON_OPENCV_WRAPPER_
